<script>
import pagination from "laravel-vue-pagination";
import { error_message, success_message } from "../../Helper/helper";
import { settingService ,webLayoutService} from "../../services/";
/**
 * Customers component
 */
export default {
  components: { pagination },
  props:["whatsapp_link"],
  data() {
    return {
      whatsppicon: "../../../../images/sales_channels/PngItem_404856.png",
      // whatsapp_link: "https://api.whatsapp.com/send?phone=",
      img1: "../../../../images/sales_channels/whatsapp_step2_1.png",
      img2: "../../../../images/sales_channels/whatsapp_step2.png",
      img3: "../../../../images/sales_channels/whatsapp-image3.png",
      img4: "../../../../images/sales_channels/whatsapp-image4.png",
      country_code:"",
      whatsapp_number:"",
      client_id:"",
    };
  },
  mounted(){
    this.client_id = this.$auth.getClientId();        
  },
  methods: {
    copylink() {
      var Url = this.$refs.text;
      Url.innerHTML = this.whatsapp_link;
      Url.select();
      document.execCommand("copy");
      document.getSelection().removeAllRanges();
      success_message("Copy Successfully");
    },
    base64_decode(id){
      return btoa(id);
    }, 

    // getVendorSettingById(){      
    //   settingService.getClientSettingById({client_id : this.base64_decode(this.client_id)})
    //     .then(response => {
    //       this.country_code = response.data.result.country_code;
    //       this.whatsapp_link = this.whatsapp_link+this.country_code;
    //       let support_data = JSON.parse(response.data.result.support_field);
    //       for(let i=0;i<support_data.length;i++){
    //         if(support_data[i].whatsapp != ""){
    //           this.whatsapp_link = this.whatsapp_link+support_data[i].whatsapp;
    //         }
    //       }
    //     })
    // },  
  },

};
</script>

<template>
  <div>
    <b-container class="bv-example-row p-0">
      <b-row class="text-center">
        <b-col cols="12" class="p-0">
          <b-col cols="12">
            <div class="card">
              <div class="card-body">
                <b-container fluid>
                  <b-row class="text-left">
                    <b-col cols="12">
                      <h5 class="mt-4">
                        <b-avatar variant="info" :src="whatsppicon" class="custom_avt"></b-avatar>
                        {{trans.get('__JSON__.WhatsApp Business')}}
                      </h5>
                      <p class="mt-3">
                        {{trans.get('__JSON__.WhatsApp is widely used messaging App. If you are using whatsapp business App, You can share a link to customers so they can order with just a few clicks')}}.
                      </p>
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 1')}}</h5>
                      <p class="mb-4">
                        {{trans.get('__JSON__.Copy the link below. It will be your link for ordering')}}.
                      </p>
                    </b-col>
                  </b-row>
                  <b-row>
                    <b-col cols="12">
                      <div class="d-flex">
                        <h5><b-alert show variant="primary" style="border-style: dotted;" id="get_link" ><input type="text" readonly ref="text" class="input_clipboard" :value="whatsapp_link">  <i class="fas fa-copy pl-2" @click="copylink()"></i></b-alert></h5>    <a :href="'https://'+whatsapp_link" target="_blank" class="link-bind"><i class="bx bx-link-external text-white font-size-20"></i></a>
                      </div>
                    </b-col>
                  </b-row>
                  <b-row class="text-left">
                    <b-col cols="12">
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 2')}}</h5>
                      <p class="mb-4">
                        {{trans.get('__JSON__.Open WhatsApp Business App-> Business Settings -> Open Greetings Message')}}.
                      </p>
                    </b-col>
                  </b-row>
                  <b-row class="text-left">
                    <b-col cols="6">
                      <img :src="img1" />
                    </b-col>
                    <b-col cols="6">
                      <img :src="img2" />
                    </b-col>
                  </b-row>

                  <!-- step 3 -->
                  <b-row class="text-left">
                    <!-- <b-col class="3"></b-col> -->
                    <b-col cols="12">
                      <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 3')}}</h5>
                      <p class="mt-3">
                        {{trans.get('__JSON__.Now You can add Greetings Message & After Greetings Message you can Paste link which copied from Step #1')}}
                      </p>
                      <p class="mb-4">
                        {{trans.get('__JSON__.So As soon as your customer send Any Message, They will get link for ordering')}}.
                      </p>
                    </b-col>
                    <!-- <b-col class="3"></b-col> -->
                  </b-row>
                  <!-- step 3 -->
                  <!-- step 3 image -->
                  <b-row class="text-left mb-2">
                    <b-col cols="6">
                      <img :src="img3" />
                    </b-col>
                    <b-col cols="6">
                      <img :src="img4" />
                    </b-col>
                  </b-row>
                  <!-- step 3 image -->
                </b-container>
              </div>
            </div>
          </b-col>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>
<style scoped>
.input_clipboard {
  width: 500px;
  border: none;
  background: #dde2fa;
  outline: none;
}
.main_layout {
  /* border-left: 1px solid #ced4da; */
  height: 80vh;
  overflow-x: scroll;
}
.custom_avt{
    width: 26px!important;
    height: 25px!important;
}
.link-bind{
    height: 47px;
    width: 47px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #556ee6;
    margin-left: 10px;
    border-radius: 5px;
}
</style>